1. Shipments
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • 🔐 API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
      • Get Product List
      • Add Product
      • Get Product Detail
      • Update Product Detail
      • Get Product Detail by SKU
      • Update Product Detail by SKU
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
      • Get Catalogue Detail
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
        GET
      • Add Shipment
        POST
      • Update Document Shipment
        PUT
      • Update Shipment Status
        PUT
      • Get Shipment Detail
        GET
    • Order Dropship
    • Pickup Address
      • Get Pickup List
      • Get WMS Pickup Map
    • Shop
      • Get Shop List
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Shipments

Add Shipment

POST
/api/v2/public/shipment/add
Create a shipment for an existing Omisell order.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.omisell.com/api/v2/public/shipment/add' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "omisell_order_number":"OP2323323"
}'
Response Response Example
Real response captured from the live API. Personal data replaced with placeholders.
{
  "data": {
    "cod_amount": 0.0,
    "courier": {
      "name": "Tự vận chuyển",
      "service_code": "OMI_SD",
      "service_name": "Dịch vụ tiêu chuẩn"
    },
    "courier_tracking_number": "EXAMPLE-ORDER-0001-A",
    "created_time": 1786692611.0,
    "cross_check_by": {
      "id": 421,
      "name": "ZAAQ",
      "logo": "https://storage.googleapis.com/omisell-cloud/logo/courier/custom_carrier.svg"
    },
    "currency": "VND",
    "delivered_time": 0.0,
    "fail_reason": "",
    "fulfilled_time": 0.0,
    "fulfillment_by": "Self-fulfill",
    "is_fulfilled": false,
    "items": [
      {
        "catalogue_sku": "EH-NE6M-A442",
        "inventory_sku": "EH-NE6M-A442",
        "esku": "ERP-EH-NE6M-A442",
        "product_name": "Máy sấy tóc Panasonic EH-NE6M Công nghệ ionity Luồng gió mạnh Linear cho mái tóc mềm mượt EH-NE6M-A442",
        "unit_name": "Hộp",
        "quantity": 1,
        "sale_price": 130000.0,
        "vendor_pickup_id": "",
        "vendor_pickup_code": null,
        "vendor_name": "Omisell Demo",
        "vendor_id": null
      }
    ],
    "omisell_order_number": "ODVN260814CABA2C2C",
    "omisell_shipment_number": "SPVN2608146B44BD06",
    "order_number": "EXAMPLE-ORDER-0001-A",
    "pickup": {
      "id": 21,
      "pickup_code": "PK100021",
      "pickup_name": "SDA - Warehouse",
      "address": "Block D - Chung Cư EhomeS - Bình Hưng"
    },
    "receiver": {
      "fullname": "Nguyen Van A",
      "phone": "0900000000",
      "email": "[email protected]",
      "address": "123 Example Street",
      "subdistrict_name": null,
      "subdistrict_id": null,
      "district_name": "Phường Bồ Đề",
      "district_id": 47349,
      "province_name": "Hà Nội",
      "province_id": 466589,
      "country": "VN"
    },
    "shipment_note": "",
    "shipped_time": 0.0,
    "sla_time": 1786865217.0,
    "status_id": 101,
    "status_name": "Label generated",
    "total_amount": 130000.0,
    "updated_time": 1786692611.0,
    "volume": "10x20x10",
    "weight": 100,
    "wms_order_number": ""
  },
  "error": false,
  "error_code": 200,
  "attr_error": null,
  "messages": "",
  "request_id": "6a7ec404066540bc691b8157"
}
Modified at 2026-11-03 04:22:17
Previous
Get Shipment List
Next
Update Document Shipment
Built with